Bug 1012048 - Newly created VM uses Remote desktop by default
Newly created VM uses Remote desktop by default
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: nobody nobody
Pavel Novotny
Depends On:
Blocks: 1019461
  Show dependency treegraph
Reported: 2013-09-25 11:31 EDT by Tomas Jamrisko
Modified: 2014-01-21 17:21 EST (History)
8 users (show)

See Also:
Fixed In Version: is16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 17:13:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Jamrisko 2013-09-25 11:31:34 EDT
Description of problem:
A VM that hasn't been explicitly set to use spice will attempt to open using Remote Desktop by default when using a IE client

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new guest 
2. Connect to the user portal with IE
3. Check its console settings

Actual results:
The radio button will be on Remote Desktop by default

Expected results:
It should be SPICE
Comment 1 Michal Skrivanek 2013-09-26 08:23:04 EDT
Fixed by http://gerrit.ovirt.org/#/c/19137/
Comment 2 Andrew Cathrow 2013-09-29 08:57:15 EDT
What's the virtual machine type.
If it's Windows 8 then shouldn't that be the default or was this happening for all vms?
Comment 3 Tomas Jamrisko 2013-09-30 04:13:41 EDT
It happens regardless of which OS is specified in the menu. So yes, it's happening for all vms.
Comment 4 Pavel Novotny 2013-10-02 11:45:43 EDT
Verified in rhevm-3.3.0-0.24.master.el6ev.noarch (is17).

Verified with 2 VMs, one with SPICE console, second with VNC console set. Each VM retained the previously set console type in the Console Options dialog (worked in User Portal as well as in Webadmin).
Comment 5 Itamar Heim 2014-01-21 17:13:58 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:21:41 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.